## org.biojava.naming
Class ObdaInitialContextFactory

    java.lang.Object
      org.biojava.naming.ObdaInitialContextFactory

All Implemented Interfaces:
  javax.naming.spi.InitialContextFactory

    public class ObdaInitialContextFactory

extends java.lang.Object
implements javax.naming.spi.InitialContextFactory

Author:
  Matthew Pocock

Constructor Summary
`ObdaInitialContextFactory()`

Method Summary
`javax.naming.Context` `getInitialContext(java.util.Hashtable environment)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ObdaInitialContextFactory

    public ObdaInitialContextFactory()

Method Detail

### getInitialContext

    public javax.naming.Context getInitialContext(java.util.Hashtable environment)
                                           throws javax.naming.NamingException

  Specified by:
    `getInitialContext` in interface `javax.naming.spi.InitialContextFactory`
  Throws:
    `javax.naming.NamingException`